/*
 *  Motore DC pilotato con transistor + PWM
 *  
 *  Il motore gira a una velocità proporzionale alla
 *  lettura del potenziometro
 *  
 *  Collegamenti:
 *  PIN Analogico 0 - potenziometro
 *  PIN 9 - transistor pilota
 *
 *  Istruzioni dettagliate sul sito
 *  http://glgprograms.tk/?p=elet/motoridc
 */

#define potenziometro 0     // potenziometro
#define motore 9      // motore

void setup() {
  // inizializza il motore come output
  pinMode(motore, OUTPUT);      
}

void loop(){
  byte valore = map(analogRead(potenziometro),0,1023,0,255);
  // il motore gira con velocità proporzionale alla rotazione del potenziometro
  analogWrite(motore,valore);
}

